# Generated by Django 4.1.7 on 2023-06-19 17:30

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("authentik_providers_ldap", "0002_ldapprovider_bind_mode"),
    ]

    operations = [
        migrations.AddField(
            model_name="ldapprovider",
            name="mfa_support",
            field=models.BooleanField(
                default=True,
                help_text="When enabled, code-based multi-factor authentication can be used by appending a semicolon and the TOTP code to the password. This should only be enabled if all users that will bind to this provider have a TOTP device configured, as otherwise a password may incorrectly be rejected if it contains a semicolon.",
                verbose_name="MFA Support",
            ),
        ),
        migrations.AlterField(
            model_name="ldapprovider",
            name="gid_start_number",
            field=models.IntegerField(
                default=4000,
                help_text="The start for gidNumbers, this number is added to a number generated from the group.pk to make sure that the numbers aren't too low for POSIX groups. Default is 4000 to ensure that we don't collide with local groups or users primary groups gidNumber",
            ),
        ),
        migrations.AlterField(
            model_name="ldapprovider",
            name="uid_start_number",
            field=models.IntegerField(
                default=2000,
                help_text="The start for uidNumbers, this number is added to the user.pk to make sure that the numbers aren't too low for POSIX users. Default is 2000 to ensure that we don't collide with local users uidNumber",
            ),
        ),
    ]
