---
title: "Join us for an authentik hackathon, 2023!"
slug: 2023-05-25-join-us-for-an-authentik-hackathon
authors:
    - name: Jens Langhammer
      title: CTO at Authentik Security Inc
      url: https://github.com/BeryJu
      image_url: https://github.com/BeryJu.png
tags:
    - blog
    - hackathon
    - collaboration
    - doc sprint
    - git
    - GitHub profile
hide_table_of_contents: false
---

:::tip
We've published the Hackathon infos! See [here](https://goauthentik.io/developer-docs/hackathon/).
:::

We are thrilled to announce the first ever Authentik Security hackathon! The event will be online, over the course of a week in summer of 2023. More details about the exact days, registration form, and agenda are coming soon.

Yes, there will be swag and prizes and accolades, possibly even low-key Git-fame.

More importantly than Git-fame, a hackathon gives us all (authentik employees and our amazing community) a chance to connect and collaborate and learn from one another as we work with the authentik code base and documentation.

The summer-time schedule for this first authentik hackathon comes about 9 months after we announced the formation of our new company, Authentik Security, back in November 2022 in the blog “[Next steps for Authentik](https://goauthentik.io/blog/2022-11-02-the-next-step-for-authentik)”. We think that getting together with our incredible community, and our still new-ish development team here at Authentik, is a great next step in our journey!

<!--truncate-->

![alt_text](./hackathon-image.jpg "image_tooltip")

The magic of an organized hackathon is the ability to explore complex challenges in a collaborative, supportive environment, and really put into action the power of multiple brains. This environment fosters deep learning and stimulates trust and confidence… not to mention the potential for career-long connections and accomplishments.

For that, among many reasons, we hope you will join us for this first-ever authentik hackathon; come build something new with us and add another notch in your Git profile!

We’ll share more soon about specific goals, and functional areas of the code areas where we want to focus, though all ideas and input are welcomed.

## Hackathons: the ever-popular event!

Hackathons have been around a long time in the software world; an event put on by OpenBSD (a free Unix-like operating system) in 1999 is widely considered to be the first hackathon. This was followed closely by a hackathon put on by Sun Microsystems; their event was focused on engineers developing Java programs to run on the Palm, an internet-connected, handheld “personal digital assistant” (PDA).

Sponsorship from large tech companies continued to be the norm, but during the first decade of the 2000s the format, purpose, and typical attendees of hackathons evolved, with investors taking note of the incredible innovation and product-creation capabilities of hackathons. By the late 2000s, open source projects were a focus, with the power of the community becoming evident.

The popularity of hackathons does not seem to be slowing down at all, indeed they seem more prevalent than ever, and have surpassed the point of proving that collaboration in open source benefits all sectors of the software industry. Furthermore, as new developers seeking jobs realize the value of investing in their “contributor profiles” on GitHub and GitLab, and university classes promoting participation in open source projects, joining hackathons is a win-win deal.

## Behind the scenes

There’s a lot that goes into running a hackathon; entire companies now focus on doing this work!

Some fundamentals of a successful hackathon include:

-   having a very clear agenda
-   abundant over-communication
-   easy-to-find and easy-to-follow instructions for sign-up and participation
-   a live chat room where participants can ask questions and share ideas
-   moderators in the repo to review and merge PRs
-   daily check-in video conferences

Beyond these important basics, another important consideration is deciding which issues, features, or challenges to work on during the hackathon. It’s fantastic to gather enthusiastic people to work together, but that energy needs to be focused and guided towards the contributions that will add the most value.

This focus on ideation (exploring and defining the main themes and ideas for the hackathon) should be one of the first steps of planning any hackathon.

> “Ideation is a crucial part of the hackathon journey because the primary focus of a hackathon is to enable problem-solving. You aren’t there just to write the best code but first to solve a problem that impacts people.” ([source](https://dev.to/appwrite/the-subtle-art-of-hackathon-ideation-1n99))

A typical process is to have some teams or individuals working on a mix of new features, others on known bugs, and others on popular enhancements. This provides participants a chance to do what they do best, be that writing new code or digging into debugging work.

## Don’t forget about the … !

Hackathons aren’t just about code; there’s also documentation, translations, website pages, and more.

Documentation is an important part of any software project, plus jumping into the docs is a great way for someone who doesn’t code (or wants a break from coding) to still participate and contribute. Docs Sprints, also known as Docathons, have been around almost as long as hackathons. [Sarah Maddox](https://www.atlassian.com/blog/archives/come_join_us_in_an_atlassian_doc_sprint$) made Doc Sprints fun and famous in the early 2010s, managing to bring people together from across the globe for multi-day, chocolate-fueled sessions. Our own tech writer here at Authentik Security held a one-week [Doc Sprint in Kyiv, Ukraine](http://bhmarks.com/blog/ui-components-doc-sprint-hello-kyiv/) that resulted in a completely restructured book about UI Components.

For our first authentik hackathon, let’s remember the docs and more; if the work you are doing for the hackathon means that the docs need to be updated, jump into the repo (same repo as the code!), or if you want to focus on the docs and help us improve and clean up our existing content, that would be great too. If you see translations that could be improved, visit our [translation project](https://explore.transifex.com/authentik/authentik/) at Transifex and submit your contributions.

## Input on the authentik hackathon event?

We’d love to hear from you all about what type of hackathon you’d like to see us put on!

Here’s a quick summary of our plans so far; let us know your preferences and ideas.

We are thinking of a multi-day event, with time for participants to get to know more about the project and have discussions about where we want to take the next set of features.

Kickoff will be on a Tuesday, where we will go over the agenda and instructions, answer any questions, and select which Issues to work on. Wednesday and Thursday dedicated to working on the PRs. On these working days, we will have a dedicated chat channel open, and a daily “check-in” video conference meeting.

Friday will be wrap-up, final polishing, and signups for demos Friday afternoon/evening and Saturday. We think having the hackathon extend into Saturday is a good way to give people time on weekend to demo if their week’s schedule is busy, but let us know your thoughts, please.

And back to the swag and fame… after the demos on Saturday, we’ll either do a real-time vote amongst all participants to select the “most impactful” contributions, or conduct an online vote, with all votes due by the following Tuesday.

We are looking forward to hearing your thoughts, and to seeing you at the hackathon this summer. Reach out to us at [hackathon@goauthentik.io](mailto:hackathon@goauthentik.io) and join us on our **#hackathon23** [Discord channel](https://discord.com/channels/809154715984199690/1110948434552299673) with any suggestions or questions!
