---
title: "July authentik hackathon!"
slug: 2023-07-11-july-authentik-hackathon
authors:
    - name: Tana Berry
      title: Sr. Technial Content Editor at Authentik Security Inc
      url: https://github.com/tanberry
      image_url: https://github.com/tanberry.png
tags:
    - blog
    - hackathon
    - docathon
    - team work
    - code
    - authentik
    - git
    - github profile
hide_table_of_contents: false
image: ./image1.jpg
---

> Here at Authentik Security, we are serious about your online security and our work… and we are also serious about our first ever authentik hackathon!

We described our upcoming inaugural hackathon in an [earlier blog](https://goauthentik.io/blog/2023-05-25-join-us-for-an-authentik-hackathon), and even built a dedicated [web page](https://goauthentik.io/developer-docs/hackathon/) for it, but now I want to break down some of the key reasons you should consider joining us on July 26 through July 30!

![](./image1.jpg)

<!--truncate-->

### Come on, try it, you’ll like it!

First and foremost, we want to welcome those for whom this is their first hackathon, and ensure that ours is a great start to a long-lived participation in hackathons. We warn you, hackathons and the community spirit of building together can be addictive. For me, they have vibes of the trail racing community that I love so much; doing hard stuff, together… and signing up for the next one as soon as one is over.

One of the most compelling experiences I have had was at a hackathon in Las Vegas (Yes, known world-wide as the city of hackathons) when we added in a Docathon option; the significant increase in the number of people who signed up that year (as opposed to the previous) made it obvious that our industry knows that there is more to software than code.

We had the CEO of a Finnish company add a lot of conceptual topics to our documentation, and a Marketing professional create her first-ever PR to clarify some of our web pages. This was a two-day, weekend event, leading into a big e-commerce conference that kicked off on Monday, and the sense of open collaboration and common celebration over “little things” (like one’s first PR!) and big things (a major new feature built by a team) was a wonderful way to get the whole event started!

All of us in the software world want to build (and sometimes break and rebuild) things. Having an event that makes it easy for everyone to use their expertise and add to the project is at the core of a successful hackathon. So what are your super-powers, your interests and abilities, and how will you apply them at the hackathon?

You can take a look at our [open Issues](https://github.com/goauthentik/authentik/issues) and see if any of them speak to you; maybe you have encountered a similar issue and want to find the answers, or maybe you have the answers and want to throw into a PR. Also, you can open a new Issue and add the `hackathon` label; we are sure you have your own ideas, too!

During the Kickoff video-conference on July 26th, we will spend some time identifying which existing Issues participants want to work on, which new ones need to be created, and if there are larger, more complex Issues that a team can be formed to tackle together.

Either way, there will be fun and challenging hacking to be done, truly something for everyone, from code to documentation to website pages, and the glue in between them all.

### And for you seasoned hackers…

As a [still newish company](https://goauthentik.io/blog/2023-03-23-whats-new-with-authentik-march-2023) and as a new team, this is our first hackathon [together], too! We have all participated in hackathons before at some level, but not yet put on one for [authentik](https://github.com/goauthentik/authentik), our SSO authentication project.

So if you have tons of experience, or even a modicum, with hackathons then come join us and help make it a huge success. We welcome your input and assistance with reviewing PRs, helping other participants get up and running, and moderating incoming questions and suggestions.

### You are more than your Git profile

While we do recognize the truth of this title, we also know that it’s true that our Git repository profiles are, errrr…. often observed. Take this opportunity to add some more green squares and repos to your profile just in case someone is looking, and have fun learning more about authentik, authentication, and application security while doing it!

### Oh, there are prizes, good prizes!

Sure, we got swag. Specifically, we have awesome authentik-branded socks. Personally I love some good sock swag; useful, fun, a bit nerdy.

But we also have hard, cold cash; a prize pool of $5000, to be divided up amongst the winners after our all-participants voting is completed.

### Review the agenda, and sign up!

Have I convinced you yet? Take a look at the [agenda](https://goauthentik.io/developer-docs/hackathon/#agenda) and use the easy registration form to sign up. We’re looking forward to seeing you there, and in the mean time, send any questions to have to [hackathon@goauthentik.io](mailto:hackathon@goauthentik.io) or chat with us on [Discord](https://discord.com/channels/809154715984199690/1110948434552299673).
