---
title: Release 2022.3
slug: "/releases/2022.3"
---

## New features

### Customizable user settings

User settings are now configured using flows and stages, allowing administrators to configure fields, add additional fields and run custom validation for user settings.

### `client_credentials` support

authentik now supports the OAuth `client_credentials` grant for machine-to-machine authentication. See [OAuth2 Provider](../providers/oauth2)

## Deprecations

### `:stable` tag

To simplify the release process we don't publish explicitly tagged release-candidate versions anymore. With this change, the :latest tag will continue to point at the latest tagged release.

## Minor changes/fixes

-   core: add initial app launch url (#2367)
-   core: customisable user settings (#2397)
-   core/api: allow filtering users by uid, add uid to search
-   internal/ldap: fix panic when parsing lists with mixed types
-   lib: fix default geoip path
-   providers/oauth2: fix invalid launch URL being generated
-   providers/oauth2: initial client_credentials grant support (#2437)
-   providers/proxy: always set rd param in addition to session to prevent wrong url in session
-   web: cleanup default footer links
-   web: prioritise ?locale parameter over saved locale
-   web/admin: improve user and group management by showing related objects
-   web/admin: use searchable select field for users and groups in policy binding form
-   web/flows: fix rendering of help text on prompt stages

## Fixed in 2022.3.2

-   core: replace uid with uuid search
-   flows: revert default flow user change
-   lib: lower default sample rate
-   sources/ldap: fix parent_group not being applied
-   stages/authenticator_validate: fix passwordless flows not working
-   web/elements: fix error with blank SearchSelect elements in forms
-   web/elements: fix search select background in dark mode
-   web/elements: fix search-select hover background
-   web/user: filter applications by launch URL lto show empty state
-   web/user: fix duplicate help text in prompts

## Fixed in 2022.3.3

-   core: fix provider launch URL being prioritised over manually configured launch URL
-   crypto: open files in read-only mode for importing (#2536)
-   outposts/ldap: prevent operations error from nil dereference (#2447)
-   outposts/proxy: use Prefix in ingress for k8s
-   web: fix style for selected item in select in dark mode
-   web/admin: default to not include current session in flow play, add option to start with current session
-   web/admin: fix user defaulting to 0 when not set in PolicyBindingForm
-   web/elements: make SearchSelect optionally blankable

## Upgrading

This release does not introduce any new requirements.

### docker-compose

Download the docker-compose file for 2022.3 from [here](https://goauthentik.io/version/2022.3/docker-compose.yml). Afterwards, simply run `docker-compose up -d`.

### Kubernetes

Update your values to use the new images:

```yaml
image:
    repository: ghcr.io/goauthentik/server
    tag: 2022.3.1
```
